%% regler.m
%% Kap. 3.2.3.2
%% Beschreibung:	Initialisierungsdatei und Ausgabedatei
clear all
close all
clc
A=1;
schrittweite=10;
dauer=10000;
t=0:schrittweite:dauer-schrittweite;
omega=0.005;
phi=0;
offset=0;
esignal1=A*sin(omega*t+phi)+offset;
Schwingungen=ceil((dauer*omega)/(2*pi));
Werte_pro_Schwingung=round((2*pi)/(schrittweite*omega));
esignal2=[];
for i=1:Schwingungen
zufall(i)=rand(1)*2;
esignal2=[esignal2 repmat(zufall(i),1,Werte_pro_Schwingung)];
end
esignal2=esignal2(1:length(esignal1));
esignal3=esignal1.*esignal2;
esignal3=esignal3+10;
t=t';
esignal3=esignal3';
eingang_ein.time=[t];
eingang_ein.signals.values=[esignal3];
ausgang_ein=45.0;
for j=1:8
Kq=ausgang_ein/(zufall(j)+10);
end
stoergroesse=ausgang_ein/8;
Aa=[-0.1420];
Bb=[0.3420];
Cc=[0.4158];
sim('modellregler.mdl',10000);
hold on
regsignal=plot(zeit,ausgang_aus,'r');
set(regsignal,'LineStyle','-');
set(regsignal,'LineWidth',2.25);
grid on
grid MINOR
title('Druckerhhung des Gasverdichter (45.0 [bar])\newline(lineares Modell)\newline(mit Regler)','FontSize',14,'FontWeight','Bold');
xlabel('Zeit in [sec] \rightarrow');
ylabel('Druck in [bar] \rightarrow');
legend('Ablussdruck zur Gasturbine\newline(var. Eingangsgre)\newline(mit Strgre)\newline(7 Tage = 10.000 [sec])','location','SouthEast');
xlim([0,10000]);
ylim([0,60]);
figure();
hold off
esignal3_a=plot(t,esignal3,'g');
set(esignal3_a,'LineStyle','-');
set(esignal3_a,'LineWidth',2.25);
grid on
grid MINOR
title('Eingangssignal des Gasverdichters (8.0 .. 12.0 [bar])','FontSize',14,'FontWeight','Bold');
xlabel('Zeit in [sec] \rightarrow');
ylabel('Druck in [bar] \rightarrow');
legend('Eingangssignal des Gasverdichters\newline(7 Tage = 10.000 [sec])','location','SouthEast');
xlim([0,10000]);
ylim([0,60]);